TANH(3)

NAME
tanh, tanhf, tanhl - hyperbolic tangent function

SYNOPSIS
#include <math.h>

double tanh(double x);
float tanhf(float x);
long double tanhl(long double x);

Link with -lm.

DESCRIPTION
The tanh() function returns the hyperbolic tangent of x, which is defined mathematically as sinh(x) / cosh(x).

CONFORMING TO
SVr4, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
acosh(3), asinh(3), atanh(3), cosh(3), ctanh(3), sinh(3)

COLOPHON
This page is part of release 2.70 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.